# class KServiceFactory | More...
Internal Use Only
Definition | `#include <kservicefactory.h>`
Inherits | KSycocaFactory [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KServiceFactory ()
- virtual ~KServiceFactory ()
- virtual KSycocaEntry * createEntry (const QString &, const char *)
- KService * findServiceByName ( const QString &_name )
- KService * findServiceByDesktopName ( const QString &_name )
- KService * findServiceByDesktopPath ( const QString &_name )
- KService::List offers ( int serviceTypeOffset )
- KService::List allServices ()
- KService::List allInitServices ()

#### Public Static Methods

- static KServiceFactory * self ()

#### Protected Methods

- virtual KService * createEntry (int offset)

#### Protected Members

- int m_offerListOffset
- int m_initListOffset
- KSycocaDict *m_nameDict
- int m_nameDictOffset
- KSycocaDict *m_relNameDict
- int m_relNameDictOffset

## Detailed Description

A sycoca factory for services (e.g. applications) It loads the services from parsing directories (e.g. applnk/) but can also create service from data streams or single config files

KServiceFactory () | ### KServiceFactory

Create factory

~KServiceFactory () | ### ~KServiceFactory

[virtual]

KSycocaEntry * createEntry (const QString &, const char *) | ### createEntry

[virtual]

Construct a KService from a config file.

Reimplemented from KSycocaFactory.

KService * findServiceByName ( const QString &_name ) | ### findServiceByName

Find a service (by name, e.g. "Terminal")

KService * findServiceByDesktopName ( const QString &_name ) | ### findServiceByDesktopName

Find a service (by desktop file name, e.g. "konsole")

KService * findServiceByDesktopPath ( const QString &_name ) | ### findServiceByDesktopPath

Find a service ( by desktop path, e.g. "System/konsole.desktop")

KService::List offers ( int serviceTypeOffset ) | ### offers

Returns: the services supporting the given service type

KService::List allServices () | ### allServices

Returns: all services. Very memory consuming, avoid using.

KService::List allInitServices () | ### allInitServices

Returns: all services which have a "X-KDE-Init" line.

KServiceFactory * self () | ### self

[static]

Returns: the unique service factory, creating it if necessary

KService * createEntry (int offset) | ### createEntry

[protected virtual]

Reimplemented from KSycocaFactory.

int m_offerListOffset | ### m_offerListOffset

[protected]

int m_initListOffset | ### m_initListOffset

[protected]

KSycocaDict * m_nameDict | ### m_nameDict

[protected]

int m_nameDictOffset | ### m_nameDictOffset

[protected]

KSycocaDict * m_relNameDict | ### m_relNameDict

[protected]

int m_relNameDictOffset | ### m_relNameDictOffset

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.